Subject: Re: bug#53458: [Request, Linux] Follow system dark mode user preference

From: Po Lu <[email-masked]>
Date: Sun, 23 Jan 2022 10:04:37 +0800

Maximiliano Sandoval <[email-masked]> writes:

> Recently a new setting was added to xdg-desktop-portal to declare the user
> preference for a dark mode. This setting is DE-agnostic¹ and it is sandbox
> friendly. The dark mode setting will be officially supported in GNOME 42,
> elementary OS already supports it, and there is a merge request for KDE that
> will most likely included its next release.
>
> How to implement

Isn't the window manager and GTK+ responsible for this, and not the
applications themselves?